// Load the Visualization API and the piechart package.
google.load('visualization', '1.0', {'packages':['corechart']});

// Set a callback to run when the Google Visualization API is loaded.
google.setOnLoadCallback(drawChart);

// Callback that creates and populates a data table,
// instantiates the pie chart, passes in the data and
// draws it.
function drawChart() {

    // Create the data table.
    var data = new google.visualization.DataTable();
    data.addColumn('string', 'Movie');
    data.addColumn('number', 'Rating');
    data.addRows([
        ['Interstellar ', 8.8],
        ['American Sniper', 7.5],
        ['Kingsman: Secret Service', 8.3],
        ['The Flash', 8.2],
        ['Breaking Bad', 9.5]
    ]);

    // Set chart options
    var options = {
        'title':'Movie Rating',
        'width':400,
        'height':300,
    };

    // Instantiate and draw our chart, passing in some options.
    var chart = new google.visualization.ColumnChart(
        document.getElementById('chart_div')
    );
    
    //Create the ready handler
    function readyHandler() {
        alert("the chart has been successfully loaded!");
    }
    
    //Create the error handler
    function errorHandler() {
        alert("an error occurred while loading the chart");
    }
    
    //Create the selection handler
    function selectHandler() {
        var selectedItem = chart.getSelection()[0];
        if (selectedItem) {
            var movie = data.getValue(selectedItem.row, 0);
            alert('The user selected ' + movie);
            window.open("http://www.imdb.com");
        }
    }

    //Set the ready listener
    google.visualization.events.addListener(chart, 'ready', readyHandler);
    
    //Set the error listener
    google.visualization.events.addListener(chart, 'error', errorHandler);
    
    //Set the selection listener
    google.visualization.events.addListener(chart, 'select', selectHandler);
        
    chart.draw(data, options);
    
} //end of the drawChart() function